<div class="pt-e-lg-20"></div>
<div class="title-box">
    <h4 class="title h3">New Tracks</h4>
</div>
<div class="row auto-columns viewport-animate MusicPage" data-animation="slideUp" data-animation-item=".col-auto"
     data-responsive-width="0:100%|300:50%|560:33%|820:25%|980:20%|1240:16.66%|1500:14.2858%"
     xmlns:th="http://www.thymeleaf.org"
     xmlns:sec="http://www.thymeleaf.org/extras/spring-security">
    <div class="col-auto" th:each="track : ${tracks}">
        <div class="music-img-box mb-e-30 mb-e-lg-40">
            <div class="img-box box-rounded-sm">
                <img class="retina" th:src="${track.getAlbum().getCover()}"
                     data-2x="assets/images/new-releases/new-releases-44@2x.jpg" alt="">
                <div class="hover-state">
                    <div class="absolute-bottom-left pl-e-20 pb-e-20">
                        <span class="pointer play-btn-dark round-btn" id="playButtonSong"
                              th:data-song-cover="${track.getAlbum().getCover()}"
                              th:data-song-title="${track.getTitle()}"
                              th:data-song-artist="${track.getArtist().getName()}"
                              th:data-song-preview="${track.getPreview()}">
                            <i class="play-icon"></i>
                        </span>
                    </div>
                    <div class="absolute-top-right pr-e-20 pt-e-20">
                        <span class="pointer dropdown-menu-toggle">
                            <span class="adonis-icon icon-4x">
                                <svg xmlns="http://www.w3.org/2000/svg" version="1.1">
                                    <use xlink:href="#icon-horizontal-dots"></use>
                                </svg>
                            </span>
                        </span>
                    </div>
                </div>
            </div>
            <h6 class="title"><a href="#" th:text="${track.getTitle()}">Roll n Peace Remix</a></h6>
            <p class="sub-title category"><a th:text="${track.getArtist().getName()}">Imagine</a></p>
        </div>
    </div>
</div>

<div class="pagination" xmlns:th="http://www.thymeleaf.org">
    <ul>
        <li class="prev" th:if="${currentPage > 0}">
            <a class="linkFromPagination adonis-ajax-load"
               data-target="#show-new-music"
               th:attr="data-content='/new-music.html?page=' + ${currentPage - 1}">&lt;</a></li>
        <li th:if="${currentPage > 0}">
            <a class="linkFromPagination adonis-ajax-load"
               data-target="#show-new-music"
               th:text="'First'"
               th:attr="data-content='/new-music.html?page=' + '0'">First</a></li>
        <li th:if="${currentPage - 3 >= 0}">
            <a class="linkFromPagination adonis-ajax-load"
               data-target="#show-new-music"
               th:text="${currentPage - 2}"
               th:attr="data-content='/new-music.html?page=' + ${currentPage - 3}">-3</a></li>
        <li th:if="${currentPage - 2 >= 0}">
            <a class="linkFromPagination adonis-ajax-load"
               data-target="#show-new-music"
               th:text="${currentPage - 1}"
               th:attr="data-content='/new-music.html?page=' + ${currentPage - 2}">-2</a></li>
        <li th:if="${currentPage - 1 >= 0}">
            <a class="linkFromPagination adonis-ajax-load"
               data-target="#show-new-music"
               th:text="${currentPage}"
               th:attr="data-content='/new-music.html?page=' + ${currentPage - 1}">-1</a></li>
        <li class="active">
            <a class="linkFromPagination adonis-ajax-load"
               data-target="#show-new-music"
               th:text="${currentPage + 1}"
               th:attr="data-content='/new-music.html?page=' + ${currentPage}">Current</a></li>
        <li th:if="${currentPage + 1 < trackPages}">
            <a class="linkFromPagination adonis-ajax-load"
               data-target="#show-new-music"
               th:text="${currentPage + 2}"
               th:attr="data-content='/new-music.html?page=' + ${currentPage + 1}">+1</a></li>
        <li th:if="${currentPage + 2 < trackPages}">
            <a class="linkFromPagination adonis-ajax-load"
               data-target="#show-new-music"
               th:text="${currentPage + 3}"
               th:attr="data-content='/new-music.html?page=' + ${currentPage + 2}">+2</a></li>
        <li th:if="${currentPage + 3 < trackPages}">
            <a class="linkFromPagination adonis-ajax-load"
               data-target="#show-new-music"
               th:text="${currentPage + 4}"
               th:attr="data-content='/new-music.html?page=' + ${currentPage + 3}">+3</a></li>
        <li th:if="${currentPage < trackPages - 1}">
            <a class="linkFromPagination adonis-ajax-load"
               data-target="#show-new-music"
               th:text="'Last'"
               th:attr="data-content='/new-music.html?page=' + ${trackPages - 1}">LAST</a></li>
        <li class="next" th:if="${currentPage < trackPages - 1}">
            <a class="linkFromPagination adonis-ajax-load"
               data-target="#show-new-music"
               th:attr="data-content='/new-music.html?page=' + ${currentPage + 1}">&gt;</a></li>
    </ul>
</div>
